// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ACDOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ACD)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * General direction of the fault. If the faults of individual phases have different directions,
   * this attribute shall be set to 'dirGeneral'='both'.
   * </pre>
   *
   * <code>.commonmodule.FaultDirectionKind dirGeneral = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for dirGeneral.
   */
  int getDirGeneralValue();
  /**
   * <pre>
   * General direction of the fault. If the faults of individual phases have different directions,
   * this attribute shall be set to 'dirGeneral'='both'.
   * </pre>
   *
   * <code>.commonmodule.FaultDirectionKind dirGeneral = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The dirGeneral.
   */
  openfmb.commonmodule.FaultDirectionKind getDirGeneral();

  /**
   * <pre>
   * Direction of the fault for earth current.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirNeut = 2;</code>
   * @return Whether the dirNeut field is set.
   */
  boolean hasDirNeut();
  /**
   * <pre>
   * Direction of the fault for earth current.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirNeut = 2;</code>
   * @return The dirNeut.
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKind getDirNeut();
  /**
   * <pre>
   * Direction of the fault for earth current.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirNeut = 2;</code>
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKindOrBuilder getDirNeutOrBuilder();

  /**
   * <pre>
   * Direction of the fault for phase A.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsA = 3;</code>
   * @return Whether the dirPhsA field is set.
   */
  boolean hasDirPhsA();
  /**
   * <pre>
   * Direction of the fault for phase A.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsA = 3;</code>
   * @return The dirPhsA.
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKind getDirPhsA();
  /**
   * <pre>
   * Direction of the fault for phase A.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsA = 3;</code>
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKindOrBuilder getDirPhsAOrBuilder();

  /**
   * <pre>
   * Direction of the fault for phase B.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsB = 4;</code>
   * @return Whether the dirPhsB field is set.
   */
  boolean hasDirPhsB();
  /**
   * <pre>
   * Direction of the fault for phase B.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsB = 4;</code>
   * @return The dirPhsB.
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKind getDirPhsB();
  /**
   * <pre>
   * Direction of the fault for phase B.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsB = 4;</code>
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKindOrBuilder getDirPhsBOrBuilder();

  /**
   * <pre>
   * Direction of the fault for phase C.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsC = 5;</code>
   * @return Whether the dirPhsC field is set.
   */
  boolean hasDirPhsC();
  /**
   * <pre>
   * Direction of the fault for phase C.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsC = 5;</code>
   * @return The dirPhsC.
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKind getDirPhsC();
  /**
   * <pre>
   * Direction of the fault for phase C.
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseFaultDirectionKind dirPhsC = 5;</code>
   */
  openfmb.commonmodule.Optional_PhaseFaultDirectionKindOrBuilder getDirPhsCOrBuilder();

  /**
   * <pre>
   * General indication of a protection activation (e.g. by the fault). Depending on the function,
   * 'general' may or may not be resulting from the phase attributes (phsA', 'phsB', 'phsC', 'neut').
   * </pre>
   *
   * <code>bool general = 6 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The general.
   */
  boolean getGeneral();

  /**
   * <pre>
   * See 'ACT.neut'.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue neut = 7;</code>
   * @return Whether the neut field is set.
   */
  boolean hasNeut();
  /**
   * <pre>
   * See 'ACT.neut'.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue neut = 7;</code>
   * @return The neut.
   */
  com.google.protobuf.BoolValue getNeut();
  /**
   * <pre>
   * See 'ACT.neut'.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue neut = 7;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getNeutOrBuilder();

  /**
   * <pre>
   * Value true indicates a trip or a start event of phase A.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsA = 8;</code>
   * @return Whether the phsA field is set.
   */
  boolean hasPhsA();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase A.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsA = 8;</code>
   * @return The phsA.
   */
  com.google.protobuf.BoolValue getPhsA();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase A.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsA = 8;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getPhsAOrBuilder();

  /**
   * <pre>
   * Value true indicates a trip or a start event of phase B.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsB = 9;</code>
   * @return Whether the phsB field is set.
   */
  boolean hasPhsB();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase B.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsB = 9;</code>
   * @return The phsB.
   */
  com.google.protobuf.BoolValue getPhsB();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase B.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsB = 9;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getPhsBOrBuilder();

  /**
   * <pre>
   * Value true indicates a trip or a start event of phase C.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsC = 10;</code>
   * @return Whether the phsC field is set.
   */
  boolean hasPhsC();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase C.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsC = 10;</code>
   * @return The phsC.
   */
  com.google.protobuf.BoolValue getPhsC();
  /**
   * <pre>
   * Value true indicates a trip or a start event of phase C.
   * </pre>
   *
   * <code>.google.protobuf.BoolValue phsC = 10;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getPhsCOrBuilder();
}
